### Method

# GtkSource SnippetChunk set_spec

#### Declaration [src]

    void
    gtk_source_snippet_chunk_set_spec (
      GtkSourceSnippetChunk* chunk,
      const gchar* spec
    )

#### Description [src]

Sets the specification for the chunk.

The specification is evaluated for variables when other chunks are edited within the snippet context. If the user has changed the text, the [property@SnippetChunk:text and] `GtkSourceSnippetChunk:text-set` properties are updated.

Sets property | `GtkSource.SnippetChunk:spec`

#### Parameters

`spec`

  Type: `const gchar*`

  The new specification for the chunk.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.